BRIDGE-1001 processorResponse inconsistent location

# Summary

If there was a WorldPay error when an ATP was being created, the ResultDetails were being included inside ErrorDetails.

* Swagger definition for ErrorDetails was updated to prevent anything other than the specified details being included.
* get-all-atps-for-rtp.spec.js was updated to test that swagger prevents ResultDetails from appearing in ErrorDetails
* controllers/atps/payables/create.js updated to move ProcessorResponse out of ErrorDetails and is now a child of ResultDetails

# Test Plan

* Run All tests
* Run E2E: get All ATPs

Test Results

```
E2E: get All ATPs PASSED
    ObjectID tests PASSED
        ✓ Test with a valid objectID PASSED
        ✓ Test objectID with an invalid pattern PASSED
        ✓ Test objectID is too short PASSED
        ✓ Test objectID is too long PASSED
    Invalid path PASSED
        ✓ Test responds with 404 PASSED
        ✓ Test responds with error PASSED
    Unauthorised access PASSED
        ✓ Test responds with error PASSED
    Tests the response PASSED
        Response validation for 200 Get response PASSED
            ✓ Test rejects a response with processorResponse in errorDetails PASSED
            ✓ Test rejects an empty response PASSED
9 Of 9 Passing
```