BRIDGE-1027 processorResponse not being populated on error

# Summary

Updating `list-atps-testcases.js` to allow a test of processorResponse 

Added to `get-all-atps-for-rtp.spec.js` and it is also called in `list-atps-testcases.js`, and in a number of other tests.

# Test Plan

* Run All tests
* Run E2E: get All ATPs
* E2E: list ATPs for receivable RTP PASSED

Test Results

```
E2E: get All ATPs PASSED
    ObjectID tests PASSED
        ✓ Test with a valid objectID PASSED
        ✓ Test objectID with an invalid pattern PASSED
        ✓ Test objectID is too short PASSED
        ✓ Test objectID is too long PASSED
        
    Invalid path PASSED
        ✓ Test responds with 404 PASSED
        ✓ Test responds with error PASSED
        
    Unauthorised access PASSED
        ✓ Test responds with error PASSED
        
    Tests the response PASSED
        Response validation for 200 Get response PASSED
            Accepts a `data` array with an ATP that PASSED
                ✓ Test maps CARD payment which SUCCEEDS PASSED
                ✓ Test maps CARD payment which FAILS_PAYMENT_PROCESSOR PASSED
                ✓ Test maps CARD payment which FAILS_NO_RTP PASSED
                ✓ Test maps CARD payment which FAILS_PAYMENT_BAD_REQUEST PASSED
                ✓ Test maps STORED_INSTRUMENT_FOUND payment which SUCCEEDS PASSED
                ✓ Test maps STORED_INSTRUMENT_FOUND payment which FAILS_PAYMENT_PROCESSOR PASSED
                ✓ Test maps STORED_INSTRUMENT_FOUND payment which FAILS_PAYMENT_BAD_REQUEST PASSED
                ✓ Test maps STORED_INSTRUMENT_NOT_FOUND payment which SUCCEEDS PASSED
                ✓ Test maps STORED_INSTRUMENT_NOT_FOUND payment which FAILS_NO_INSTRUMENT PASSED
                ✓ Test maps STORED_INSTRUMENT_NOT_FOUND payment which FAILS_NO_RTP PASSED

            ✓ Test rejects a response with processorResponse in errorDetails PASSED
            ✓ Test rejects an empty response PASSED
            
19 Of 19 Passing


E2E: list ATPs for receivable RTP PASSED
    Response validation for 200 OK responses PASSED
        Accepts a `data` array with an ATP that PASSED
            ✓ Test maps CARD payment which SUCCEEDS PASSED
            ✓ Test maps CARD payment which FAILS_PAYMENT_PROCESSOR PASSED
            ✓ Test maps CARD payment which FAILS_NO_RTP PASSED
            ✓ Test maps CARD payment which FAILS_PAYMENT_BAD_REQUEST PASSED
            ✓ Test maps STORED_INSTRUMENT_FOUND payment which SUCCEEDS PASSED
            ✓ Test maps STORED_INSTRUMENT_FOUND payment which FAILS_PAYMENT_PROCESSOR PASSED
            ✓ Test maps STORED_INSTRUMENT_FOUND payment which FAILS_PAYMENT_BAD_REQUEST PASSED
            ✓ Test maps STORED_INSTRUMENT_NOT_FOUND payment which SUCCEEDS PASSED
            ✓ Test maps STORED_INSTRUMENT_NOT_FOUND payment which FAILS_NO_INSTRUMENT PASSED
            ✓ Test maps STORED_INSTRUMENT_NOT_FOUND payment which FAILS_NO_RTP PASSED
            
        ✓ Test accepts a response with an empty `data` array PASSED
        ✓ Test rejects a response missing the `data` property PASSED
        ✓ Test rejects a response with any extra properties PASSED
        
    ✓ Test rejects objectID with an invalid pattern PASSED
    ✓ Test rejects objectID if too short PASSED
    ✓ Test rejects objectID if too long PASSED
    
16 Of 16 Passing

```