BRIDGE-798 Update swagger definition

# Summary

Results being returned via a get to `/rtps` were not matching the swagger definition.

# Details

When an RTP was added, then the list of RTP's was requested using a GET to `/rtps`, the resulting data included `status` and `requestToPayID`. These were missing in the swagger definition.

#### Swagger Example Value

```json
{
  "data": [
    {
      "amount": {
        "value": 0,
        "currency": "GBP"
      },
      "counterparty": {
        "userID": "000000000000000000000000"
      },
      "transactionDetails": {
        "orderDescription": "2 Calling Birds, 1 Partridge in a Pear tree"
      },
      "lastUpdate": "2017-07-16T19:20:30.450Z",
      "lastVersion": 0,
      "payeeInstrument": {
        "ID": "000000000000000000000000",
        "description": "Description of the payee Instrument"
      },
      "status": "Pending",
      "requestToPayID": "000000000000000000000000"
    }
  ]
}
```

#### Updated Swagger output

```json
{
  "data": [
    {
      "requestToPayID": "5accb994c538630e5be1c5a4",
      "amount": {
        "value": 1,
        "currency": "GBP"
      },
      "status": "Pending",
      "payeeInstrument": {
        "ID": "5acc8ac5ebf5a808d4fff24d",
        "description": "Glasgow Argon Ltd. account."
      },
      "transactionDetails": {
        "orderDescription": "2 Calling Birds, 1 Partridge in a Pear tree"
      },
      "counterparty": {
        "userID": "000000000000000000000000"
      },
      "lastUpdate": "2018-04-10T13:18:12.034Z",
      "lastVersion": 1
    }
  ]
}
```
# Test Plan:

* All unit tests run and pass
