BRIDGE-837 Swagger UI for list all ATPs where I am the payee

# Summary

As an operator I want to list all ATPs where I am the payee

This updates the swagger so the user can list their attempts to pay (ATP) where they are the payee. 

Using `GET /receivables/atps`

### New Output

```json
{
  "data": [
    {
      "atpID": "000000000000000000000000",
      "rtpID": "000000000000000000000000",
      "payeeID": "000000000000000000000000",
      "payerID": "000000000000000000000000",
      "status": "Paid",
      "lastUpdate": "2017-07-16T19:20:30.450Z",
      "lastVersion": 0,
      "payeeInstrument": {
        "ID": "000000000000000000000000",
        "description": "BloggsCo Inc. account.",
        "accountType": "Credit/Debit Payment Card"
      },
      "payerDetails": {
        "payer": {
          "email": "a@b.com",
          "firstName": "John",
          "lastName": "Doe"
        },
        "payerInstrument": {
          "ID": "000000000000000000000000",
          "description": "BloggsCo Inc. account.",
          "accountType": "Credit/Debit Payment Card"
        }
      },
      "amount": {
        "value": 0,
        "currency": "GBP"
      },
      "transactionDetails": {
        "orderDescription": "2 Calling Birds, 1 Partridge in a Pear tree"
      },
      "resultDetails": {
        "errorDetails": {
          "statusCode": 200,
          "code": 1,
          "info": "Some error"
        },
        "processorResponse": {
          "transactionID": "00000000-0000-0000-0000-000000000000"
        }
      }
    }
  ]
}
```

# Test Plan

* Check the server starts ok
* Check the /docs page shows the new paths
* Check we can still carry out the operations from that page
* Check the unit tests all run and pass