As an operator I want to list all ATPs where I am the payee

Summary

As a User, I would like to be able to retrieve a list of my ATP's where I am the payee.

ACs



## 1. I see a list of ATP's where I am the payee


Given that I am an authorised Bridge user

When I call GET /receivables/atps

Then the request succeeds

And the request returns an array of the ATP's which I am the payee



## I do not see ATP's where I not am the payee

Given that I am an authorised Bridge user

When I call GET /receivables/atps

Then the request succeeds

And the request returns an array of the ATP's which I am the payee

And the array does not contain any ATP's which I am not the payee



```

"/receivables/atps": {
            "x-swagger-router-controller": "receivable_atp_controller",
            "get": {
                "summary": "Gets a list ATP's which I am the payee",
                "description": "Return a list of Attempts to Pay (ATPs) for which I am the payee",
                "tags": [ "payments" ],
                "operationId": "listPayeeATPs",
                "responses": {
                    "200": {
                        "description": "Successfully list ATPs.",
                        "schema": {
                            "$ref": "#/definitions/atpList"
                        }
                    },
                    "default": {
                         "$ref": "#/responses/GeneralError"
                    }
                }
            }
        }
        
```        