# Summary

This adds the swagger for getting a list of the ATPs associated with
a receivable RTP.

This also updates the response to the listing of ATPs related to _payable_
RTP to match the implementation of receivables.  The changes are:

* Change the 201 Created response to a basic 200 as this is list not create
* Remove the 401 "Invalid Key" error as there are no keys involved
* Removed the atpID from all error responses as it isn't relevant

It also makes some small updates to other definitions used by the shared
`atpList` and related definitions:

* Adds and uses an `atpStatus` definition rather than the `rtpStatus`
  which has a different list of states
* Updated `instrument-id-description` and `instrument-id-description-type`
  to use the generic `instrument-description` instead of the payee specific
  version. This stops the _payer_ instrument having a description saying
  that it is the _payee_ instrument

* Updated the 200 return object:

The return object had a small issue where it was returning a data object, with a data array:
```
{
  "data": {
    "data": [
      {
   ...
      }
}

```

The object schema was updated to just use the atpList object definition as that returns the data array:

The output now looks like:

```
{
  "data": [
    {
    ...
    }
}

```

# Test Plan

* Check the server starts ok
* Check the docs page looks correct for list ATPs for both payables and receivables.